import { MessageCenter } from "event-message-center";
import { ITaskQueue, IQueueList, IQueues, IState, IQueueTemp, ITaskQueueProps } from "./type";
export declare class TaskQueue implements ITaskQueue {
    readonly fix: string;
    readonly messageCenter: MessageCenter;
    props: ITaskQueueProps;
    queues: IQueueList;
    queueTemp: IQueueTemp;
    state: IState;
    constructor(props: ITaskQueueProps);
    private init;
    private defineProps;
    push: (queue: IQueues) => Promise<void>;
    unshift: (length: any) => import("./type").IQueue[];
    run: ({ reject }: {
        reject: any;
    }) => Promise<IState | MessageCenter>;
    clear: () => void;
    private finish;
    private handlerSuccess;
    private handlerError;
    private stateProxy;
    private checkHandler;
    private fixStr;
    private defer;
}
export declare const decoratorTaskQueue: (opts: ITaskQueueProps) => ClassDecorator;
export default TaskQueue;
